import { defHttp } from '@/utils/axios/index'
import type { ApiResult } from '../model/baseModel'
import type { LoginParams, LoginResult } from './model/loginModel'
import { ContentTypeEnum } from '@/enums/httpEnums'
import type { MenuPermissionInfo } from '../sys/model/menuModel'

enum Api {
  LOGIN = '/authentication/login',
  LOGOUT = '/authentication/logout',
  GETROUTES = '/permission/permissionListByUserId'
}


export type UserRoute = MenuPermissionInfo & {
  childNode: UserRoute[]
}

type ApiResultUserRoute = {
  btnPermissionSet: UserRoute[],
  permissionSet: UserRoute[]
}

export const apiUserLogin = (params: LoginParams) => {
  return defHttp.post<ApiResult<LoginResult>>({
    url: Api.LOGIN,
    params
  })
}

export const apiGetUserRoute = () => {
  return defHttp.get<ApiResult<ApiResultUserRoute>>({
    url: Api.GETROUTES
  })
}

export const apiLogOut = () => {
  return defHttp.get<ApiResult>({
    url: Api.LOGOUT
  })
}
