import { useAppStore } from "@/stores/modules/app";
import type { MenuSetting } from "@/types/menuSetting";
import { computed, unref } from "vue";


export function useMenuSetting() {
    const appStore = useAppStore()


    const  getCollapsed = computed(() => appStore.getMenuSetting.collapsed)
    
    const getCollapsedWidth = computed(() => appStore.getMenuSetting.menuCollapsedWidth)
    
    const getMenuWidth = computed(() => appStore.getMenuSetting.menuWidth)

    const setMenuSetting = (setting: Partial<MenuSetting>): void => {
        appStore.setMenuSetting(setting)
    }

    const toggleCollapsed = () => {
        setMenuSetting({
            collapsed: !unref(getCollapsed)
        })
    }


    return {
        toggleCollapsed,
        setMenuSetting,
        getCollapsed,
        getCollapsedWidth,
        getMenuWidth
    }
}