import { PageEnum } from '@/enums/pageEnums'
import type { AppRouteRecordRaw } from '../types'
import { PAGE_NOT_FOUND_ROUTE } from './basic'
import {LAYOUT} from '../constant'


// 根路由
export const RootRoute: AppRouteRecordRaw = {
  path: '/',
  name: 'Root',
  component: LAYOUT,
  redirect: PageEnum.BASE_HOME,
  meta: {
    title: '首页',
    icon: 'home'
  },
  children: [
    {
      path: '/home',
      name: 'Home',
      component: () => import('@/views/home/index.vue'),
      meta: {
        title: '首页'
      }
    }
  ]
}


export const LoginRoute: AppRouteRecordRaw = {
  path: '/login',
  name: 'Login',
  component: () => import('@/views/sys/login/index.vue'),
  meta: {
    title: '登录',
    hideMenu: true
  }
}

const SysTemRoute = {
  path: '/sys',
  name: 'Sys',
  component: LAYOUT,
  meta: {
    title: '系统管理'
  },
  children: [
    {
      path: '/user',
      name: 'User',
      component: () => import('@/views/sys/user/index.vue'),
      meta: {
        title: '用户管理'
      }
    },
    {
      path: '/role',
      name: 'Role',
      component: () => import('@/views/sys/role/index.vue'),
      meta: {
        title: '权限管理'
      }
    }
  ]
}

export const basicRoutes = [
  RootRoute,
  LoginRoute,
  // SysTemRoute,
  PAGE_NOT_FOUND_ROUTE
]