import type { MenuSetting } from '@/types/menuSetting'
import { deepMerge } from '@/utils'
import { defineStore } from 'pinia'

type AppState = {
  menuSetting: MenuSetting | null
}

export const useAppStore = defineStore('app', {
  state: (): AppState => ({
    menuSetting: null
  }),
  getters: {
    getMenuSetting(): MenuSetting {
      if (!this.menuSetting) {
        this.menuSetting = {
          menuCollapsedWidth: 80,
          menuWidth: 208,
          collapsed: false
        }
      }
      return this.menuSetting
    }
  },
  actions: {
    setMenuSetting(setting: Partial<MenuSetting>) {
      this.menuSetting = deepMerge(this.menuSetting, setting)
    }
  }
})
